<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<name>javafx.graphics-antlr</name>
	<packaging>jar</packaging>
	<artifactId>javafx.graphics-antlr</artifactId>
	<groupId>org.openjfx</groupId>
	<version>@RELEASE_VERSION@</version>
	<dependencies>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>antlr4</artifactId>
                        <version>4.7.2</version>
		</dependency>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>antlr4-runtime</artifactId>
                        <version>4.7.2</version>
		</dependency>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>ST4</artifactId>
                        <version>4.0.8</version>
		</dependency>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>stringtemplate</artifactId>
                        <version>3.2.1</version>
		</dependency>
		<dependency>
			<groupId>${project.groupId}</groupId>
			<artifactId>javafx.base</artifactId>
			<version>${project.version}</version>
		</dependency>
	</dependencies>
	<build>
		<sourceDirectory>../src/jslc/java</sourceDirectory>
		<outputDirectory>../build/classes/java/jslc</outputDirectory>
		<resources>
			<resource>
				<directory>src/jslc/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
					<exclude>**/*.rc</exclude>
				</excludes>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>org.antlr</groupId>
				<artifactId>antlr4-maven-plugin</artifactId>
                                <version>4.7.2</version>
				<configuration>
					<sourceDirectory>../src/main/antlr3</sourceDirectory>
					<outputDirectory>../build/gensrc/antlr</outputDirectory>
				</configuration>
				<executions>
					<execution>
						<id>antlr</id>
						<goals>
							<goal>antlr4</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>11</source>
					<target>11</target>/
					<release>11</release>
					<compilerArgs>
						<arg>-g:source,lines,vars</arg>
						<arg>-XDignore.symbol.file</arg>
						<arg>-XDuseUnsharedTable=true</arg>
						<arg>-proc:none</arg>
					</compilerArgs>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>
